<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMPODetailGridView9Base from './empodetail-grid-view9-base.vue';

import view_grid from '@widgets/empodetail/main-grid/main-grid.vue';

/**
 * 订单条目
 *
 * @export
 * @class EMPODetailGridView9
 * @extends {EMPODetailGridView9Base}
 */
@Component({
    components: {
        view_grid, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMPODetailGridView9 extends EMPODetailGridView9Base { }
</script>